Google Web Toolkit
Search Google Code:

# Interface HasName

public interface HasName
// Implemented by `CheckBox`, `FileUpload`, `Hidden`, `ListBox`, `TextBoxBase`
A widget that implements this interface has a 'name' associated with it, allowing it to be used with FormPanel. This property is the name that will be associated with the widget when its form is submitted.

## Methods

getName() | Gets the widget's name.
setName(String) | Sets the widget's name.

## Method Detail

### getName

public String getName()
Gets the widget's name.

#### Return Value

the widget's name

### setName

public void setName(String name)
Sets the widget's name.

#### Parameters

name
  the widget's new name